Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21080

Description

This module computes least cost paths for draining water.

The start point can be seeded as a list of coordinates AND/OR with points layers.

The problem about using the point layers is that GRASS expect is as GRASS Input layers where Processing pass the input as an ogr

layers, so the module fails.

The use of input vector layers must be added in the Processing logic as a special case.

Related issues:

Related to QGIS Application - Bug report # 13004: GRASS module r.drain won't ... Closed 2015-06-19

History

#1 - 2016-03-05 07:53 AM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello,

there is a PR for this !

It should fix the bug...

#2 - 2016-03-05 10:40 AM - Giovanni Manghi

Médéric RIBREUX wrote:

Hello,

there is a PR for this !

It should fix the bug...

I have noticed that at least with GRASS7 the module was already working (on qgis 2.14) with input/start points from vector layers... did you changed

something more in your PR (beside adding the missing parameters)? Cheers!

#3 - 2016-03-28 10:24 AM - Alexander Bruy

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/2865
https://github.com/qgis/QGIS/pull/2865


- Status changed from In Progress to Closed

Pull-request was merged
